<?xml version="1.0"?>
<!--
Test attributeGroup declaration with optional attribute id='' 
-->
 
<xsd:schema xmlns:xsd='http://www.w3.org/2001/XMLSchema' >

	<xsd:attribute name="att1" type="xsd:string"/>

	<xsd:attributeGroup name="abc" id="">
		<xsd:attribute ref="att1" />
	</xsd:attributeGroup>

</xsd:schema>
